Starmade | Core ghost connections to non-existent computers
Resolved, needs quality check / confirm fix, HighPublic

Description

When you have a weapon group, say Cannon/Cannon/Pulse, and you remove the three computers simultaneously with build area, the core will have a ghost connection to where the secondary cannon computer and pulse computer were. The connection can only be removed by selecting the core ("C") and placing the respective computer in that position, which causes the connection to disappear. Placing another type of computer does not remove the ghost connection, creating an additional connection from the core to this new computer.

Another issue caused by this bug, is that pasting weapon groups will yield a "overlapping modules, skipping some connections" message even without overlappings, and will not connect primary computers to any secondary or tertiary computers despite them being connected in the paste template.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.200.253
Category
Control Block System: Weapons
First occurrence (version)
0.200.172
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Build weapon group, eg. in description
  2. Remove all the computers simultaneously using build area
  3. Select the core ("C") and observe the deleted computers' positions
Tester information (Internal use only)

If both the master and its support/effect computer get removed in the same action, the support/effect computer will have a ghost link as the ship core wants to relink to the support/effect computer as that lost its master.

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Endal created this task.Nov 19 2017, 12:44 PM
Endal changed the title from "Ghost core connections to computers" to "Core ghost connections to non-existent computers".
Endal edited the task description. (Show Details)Nov 19 2017, 12:47 PM
Endal edited the task description. (Show Details)
lancake claimed this task.Dec 12 2017, 3:47 PM
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake changed the task status from "Open" to "In Queue".
lancake added a subscriber: lancake.

-validated- & -confirmed-

If both the master and its support/effect computer get removed in the same action, the support/effect computer will have a ghost link as the ship core wants to relink to the support/effect computer as that lost its master.

Restricted Application removed a project: Issue Navigation. · View Herald TranscriptDec 12 2017, 3:47 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.Dec 12 2017, 3:48 PM
lancake raised the priority of this task from "Normal" to "Pre-Release Quality Assurance".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Affected Gamemode(s) from Singleplayer to Single and Multi.
lancake changed Last tested (version) from 0.200.172 to 0.200.253.
lancake set First occurrence (version) to 0.200.172.
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Dec 18 2017, 10:12 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 18 2017, 10:12 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
Endal added a comment.Feb 3 2018, 8:25 AM

Fixed in v0.200.332.

lancake lowered the priority of this task from "Pre-Release Quality Assurance" to "High".Jun 6 2018, 12:57 PM